#version 330 core
uniform vec3 color_bound;
uniform float brightness;
uniform float transparency;

out vec4 fragColor;

void main(void)
{
    fragColor = vec4(1.0, 1.0, 1.0, 0.0) * brightness +vec4(color_bound,0.0) * (1.0 - brightness)+transparency*vec4(0.0, 0.0, 0.0, 1.0);
}
